|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# configdialog.h Example File
dialogs/configdialog/configdialog.h

        #ifndef WINDOW_H
        #define WINDOW_H

        #include <QDialog>

        class QListWidget;
        class QListWidgetItem;
        class QStackedWidget;

        class ConfigDialog : public QDialog
        {
            Q_OBJECT

        public:
            ConfigDialog();

        public slots:
            void changePage(QListWidgetItem *current, QListWidgetItem *previous);

        private:
            void createIcons();

            QListWidget *contentsWidget;
            QStackedWidget *pagesWidget;
        };

        #endif